%global _without_mesa 1
%global alt_name libva
%global git_date  20250424
%global git_hash  0d1d351
# Version in meson.build
%global git_ver  2.23.0.1
%global rel  1
%global src_name %{alt_name}-%{git_date}-%{git_hash}.tar.xz

Name:		libva%{?_without_mesa:-nomesa}
Version:	%{git_ver}^%{git_date}g%{git_hash}
Release:	%{rel}%{?dist}
Summary:	Video Acceleration (VA) API for Linux
License:	MIT
URL:		https://github.com/intel/libva
Source0:	%{url}/%{src_name}

BuildRequires:	meson
BuildRequires:  make
BuildRequires:  gcc

BuildRequires:	libudev-devel
BuildRequires:	libXext-devel
BuildRequires:	libXfixes-devel
BuildRequires:	pkgconfig(libdrm)
BuildRequires:	libpciaccess-devel
%{!?_without_mesa:
BuildRequires:	mesa-libEGL-devel
BuildRequires:	mesa-libGL-devel
BuildRequires:	mesa-libGLES-devel
}
BuildRequires:  wayland-devel
BuildRequires:  pkgconfig(wayland-client) >= 1
BuildRequires:  pkgconfig(wayland-scanner) >= 1

# owns the %%{_libdir}/dri directory
%{!?_without_mesa:
Requires:	mesa-filesystem%{_isa}
Recommends:	(mesa-va-drivers%{?_isa} if mesa-dri-drivers)
}

%description
Libva is a library providing the VA API video acceleration API.

%package	devel
Summary:	Development files for %{name}
Requires:	%{name}%{_isa} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1 -n %{alt_name}

%build
%meson
%meson_build


%install
%meson_install


%ldconfig_scriptlets

%files
%doc NEWS
%license COPYING
%ghost %{_sysconfdir}/libva.conf
%{_libdir}/libva.so.2*
%{_libdir}/libva-drm.so.2*
%{_libdir}/libva-wayland.so.2*
%{_libdir}/libva-x11.so.2*
%{!?_without_mesa:
%{_libdir}/libva-glx.so.2*
}

%files devel
%{_includedir}/va
%{_libdir}/libva*.so
%{_libdir}/pkgconfig/libva*.pc

%changelog
%autochangelog
